Skip to main content
POST
/
v1
/
tasks
Add Tasks
curl --request POST \
  --url https://api.lobstr.io/v1/tasks \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>'
Add LinkedIn URLs to your LinkedIn Posts Scraper squid. Each task accepts a profile URL (collects recent posts from that member), a company URL (collects recent posts from that company), or a direct post URL (collects that single post).

Headers

Authorization
string
required
Your API authentication token. Value: Token YOUR_API_KEY
Content-Type
string
required
Request body format. Value: application/json

Request Body

FieldTypeRequiredDescription
squidstringYesHash of your squid configured with the LinkedIn Posts Scraper crawler
tasksarrayYesArray of task objects, each containing a linkedin_url field

Task Object

FieldTypeRequiredDescription
linkedin_urlstringYesLinkedIn profile URL, company URL, or direct post URL
Accepted URL formats:
  • Profile: https://www.linkedin.com/in/username/
  • Company: https://www.linkedin.com/company/company-name/
  • Post: https://www.linkedin.com/feed/update/urn:li:activity:1234567890/
This scraper requires a LinkedIn account to be linked to your squid. See Link Account to Squid.

Code Examples

curl -X POST "https://api.lobstr.io/v1/tasks" \
  -H "Authorization: Token YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "squid": "YOUR_SQUID_HASH",
    "tasks": [
      {"linkedin_url": "https://www.linkedin.com/in/username/"},
      {"linkedin_url": "https://www.linkedin.com/company/openai/"}
    ]
  }'

Response

200
{
  "duplicated_count": 0,
  "tasks": [
    {
      "id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
      "created_at": "2026-06-09T10:00:00.000000",
      "is_active": true,
      "params": {
        "linkedin_url": "https://www.linkedin.com/in/username/"
      },
      "object": "task"
    }
  ]
}